<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <FileVersion>0.0.0.1</FileVersion>
        <Company>JacobTech, LLC</Company>
        <ApplicationIcon>Luski.ico</ApplicationIcon>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
      <DefineConstants />
      <DebugType>none</DebugType>
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
      <NoWarn>1701;1702;IL2121;MSB3246</NoWarn>
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="GraphicsManager" Version="1.1.1-alpha33" />
      <PackageReference Include="Luski.net" Version="2.0.1-alpha18" />
      <PackageReference Include="Updater" Version="1.0.0-alpha05" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Include="Resources/**" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="GUI\MainScreen\UI\PublicServers\ServerSettings\Pages\Moderation\" />
      <Folder Include="GUI\MainScreen\UI\PublicServers\ServerSettings\Pages\UserManagement\" />
      <Folder Include="GUI\Windows\" />
    </ItemGroup>

    <ItemGroup>
      <None Remove="Luski.ico" />
      <Resource Include="Luski.ico">
        <CopyToOutputDirectory>Never</CopyToOutputDirectory>
      </Resource>
    </ItemGroup>


    <PropertyGroup>
        <ApplicationIcon>Luski.ico</ApplicationIcon>
    </PropertyGroup>
    
    <PropertyGroup>
        <InvariantGlobalization>true</InvariantGlobalization>
    </PropertyGroup>

</Project>
